% Assegnazione Costanti
R = 10;
L = 5;

% Durata Simulazione
T_fin = 10;

% Tempo di campionamento 
T = 0.001; 

% Condizioni iniziali corrente
i0 = 10; 

%%Generazione di segnali

% Vettore dei tempi
t_vec = 0:T:T_fin; 

% Vettore delle tensioni di ingresso ad esempio sinusoidale
v_in = 10*sin(3*t_vec);

% Allocazione vettore delle correnti in uscita
i_out = zeros(1,length(t_vec)); 

%Inizializzazione variabili dinamiche
i = i0; 

% Simulazione con formula di Eulero in avanti
for k = 1:length(t_vec)
	i_out(k) = i;
	V = v_in(k);
	i_buffer = i;
	i = (1-R*T/L)*i_buffer + T/L*V;
end

% Grafica
plot(t_vec,i_out,’-b’,t_vec,v_in,’-r’); 
grid on;